body {
  margin: 8px 32px;
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Noto Sans", Ubuntu, Cantarell, "Helvetica Neue", sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Noto Color Emoji";
  font-size: 14px;
}
div.header-button-container {
  position: absolute;
  top: 8px;
  right: 32px;
  display: flex;
  justify-content: flex-start;
}
div.button-container {
  display: flex;
  justify-content: flex-start;
}
form > * {
  display: block;
  margin-top: 8px;
}
button, input {
  font-size: 14px;
  border-radius: 0.25rem;
  border: none;
  box-shadow: inset 0 0 0 1px #89888d;
  padding: 8px 12px;
}
button,
input[type=submit] {
  background-color: #1f75cb;
  box-shadow: inset 0 0 0 1px #1068bf;
  color: #fff;
}
[type="submit"]:hover {
  background-color: #0056b3;
}
header {
  display: flex;
  align-items: baseline;
  justify-content: space-between;
}
table.blueTable {
  border: 1px solid #1C6EA4;
  background-color: #EEEEEE;
  width: 100%;
  text-align: left;
  border-collapse: collapse;
}
table.blueTable td, table.blueTable th {
  border: 1px solid #AAAAAA;
  padding: 3px 2px;
}
table.blueTable tbody td {
  font-size: 13px;
}
table.blueTable tr:nth-child(even) {
  background: #D0E4F5;
}
table.blueTable thead {
  background: #1C6EA4;
  background: -moz-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
  background: -webkit-linear-gradient(top, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
  background: linear-gradient(to bottom, #5592bb 0%, #327cad 66%, #1C6EA4 100%);
  border-bottom: 2px solid #444444;
}
table.blueTable thead th {
  font-size: 15px;
  color: #FFFFFF;
  border-left: 2px solid #D0E4F5;
}
table.blueTable thead th:first-child {
  border-left: none;
}

/* Style for Kaminari pagination */
.pagination {
  margin: 0;
  padding: 20px;
  list-style: none;
  text-align: center;
}

.pagination li {
  display: inline;
  margin-right: 3px; /* Adjust the spacing between pagination items */
}

.pagination a,
.pagination span {
  padding: 6px 12px;
  text-decoration: none;
  background-color: #ffffff;
  border: 1px solid #dddddd;
  color: #333333;
  border-radius: 4px;
  transition: background-color 0.3s ease;
}

.pagination a:hover {
  background-color: #f5f5f5; /* Hover color */
}

.pagination .active a,
.pagination .active span {
  background-color: #007bff; /* Active page color */
  color: #fff;
  cursor: default;
}

.pagination .disabled a,
.pagination .disabled span {
  background-color: #f5f5f5;
  color: #333333;
  cursor: not-allowed;
}

.pagination .pagination-info {
  margin-top: 5px;
  font-size: 14px;
  color: #333333;
}

/* Style for search field */
input[type="search"] {
  width: 300px;
  padding: 8px;
  border: 1px solid #ccc;
  border-radius: 4px;
  margin-right: 5px;
}
.search-container {
  display: flex;
  align-items: center;
}
.clear-search {
  background-color: #ff0000;
  color: #ffffff;
  border: none;
  padding: 8px 12px;
  text-decoration: none;
  cursor: pointer;
}
.clear-search:hover {
  background-color: #ff3333;
}

/* Divider */
hr {
  margin: 10px 0;
  border: 0;
  border-top: 2px solid #ccc;
}
